# ZX Origins 8x8 pixel fonts
https://damieng.com/typography/zx-origins/

I [DamienG] have designed many 8x8 bitmap fonts over the years.

They are freely available to be used in games you create in exchange for a mention in the credits section.

I am aware of 277 usages in games/tools so far!

Each page [at the link] shows simulated screenshots, backstory on the design and inspiration, tips for usage as well as variations and a download zip containing files in modern TrueType and legacy formats (Spectrum, Atari, Commodore 64, Acorn, CPC, etc.) 

## Formats Supplied

Base Assembly Files Included
----------------------------
Converted DamienG's original Z80 assembly files to assemble with lwasm for CoCo
These files are not usable as is - each format below required additions
The file names were not altered so you will have to shorten them to 8.3 format names as you prefer

This archive includes the DamienG collection converted for:

CoCo 3 HPRINT 8x8 *.FNT files
-----------------------------
Characters 32-127 are the DamienG data
Includes DECB header and footer bytes to LOADM directly to $FC0D into the HPRINT font area.
Characters 128+ are not overwritten in ROM space
Editable / Viewable with John Strongs Hires Font Editor (HFE)
HPRINT/*.asm simply has the origin $fc0d line added
Assembled with lwasm --decb

OS-9 8x8
--------
Characters 0-31 are not included.
Characters 32-127 are the DamienG data
All fonts are OS-9 font number $50 in the header data until official numbers can be assigned by NitrOS9 and Curtis
OS9/*.asm has the OS9 font file header and blank characters for $00 to $1F added
Assembled with lwasm --raw

CoCoVGA 8x12 *.CHR files
------------------------
Characters 0-31 are blank
Characters 32-127 are the Damieng G data, with leading and trailing padding lines
Characters 128-255 are added lines to include the CoCo semigraphics block characters
COCOVGA/*.asm has the blank prefix characters $00-$1F and leading $00,$00 and trailing $00,$00 to center the 8x8 data into the 8x12 character cell
Assembled with lwasm --decb

